﻿@media print {
  .no-print, .no-print * {
    display: none !important;
  }

  .page {
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);
  }
}

/* Add media queries for responsiveness - when the screen is 500px wide or less, stack the links on top of each other */
@media screen and (max-width: 500px) {
  #tripNavMain {
    overflow-x: auto !important;
  }
}

#tripNavMain {
  width: 100%;
  height: 100%;
  display: flex;
}

td.cart-remove {
  background: url('../img/delete.png') no-repeat center center;
  cursor: pointer;
}

td.details-control {
  background: url('../img/details_open.png') no-repeat center center;
  cursor: pointer;
}

tr.shown td.details-control {
  background: url('../img/details_close.png') no-repeat center center;
}

div.dataTables_filter {
  padding-right: 10px;
  margin-top: 4px;
}


div.dataTables_length {
  padding-left: 10px;
  margin-top: 8px;
}

input.search {
  border: 0;
}

div.checkboxes {
  height: 100%;
  width: 100%;
  vertical-align: middle;
  text-align: center;
}

div.checkbox {
  display: inline-block;
  background-image: url(../img/checkbox.gif);
  background-size: 16px;
  background-repeat: no-repeat;
  height: 16px;
  width: 20px;
  cursor: pointer;
}

div.checked {
  background-image: url('../img/checkbox_checked.gif');
}

div.clear {
  background-image: url(../img/checkbox_x.gif);
}

span.checkboxvaluespan {
  display: none;
}

#triplengthtd {
  max-width: 177px;
  overflow: visible;
  white-space: nowrap;
}

#triplengthlabel, #timeongroundlabel {
  position: relative;
  top: -10px;
  right: -2px;
  text-wrap: none;
  overflow-x: visible;
}

#ietripnav {
  display: flex;
  flex-direction: column;
  border: none;
  flex: 1 1 0;


  border: none;
/*  position: absolute;
  top: 57px;
  left: 0;
  bottom: 0;
  right: 0;*/
  margin-left: 10px;
  margin-right: 10px;
}

#tripdaysrange {
  position: relative;
  top: -18px;
  width: 150px;
  margin: 10px 10px 0px 10px;
}

#timeongrounddiv {
  display: none;
}

#timeongroundrange {
  position: relative;
  top: -18px;
  width: 150px;
  margin: 10px 10px 0px 10px;
}

#from {
  width: 110px;
}

#to {
  width: 110px;
}

pre {
  font-size: 0.8em;
}

.ui-widget {
  font-size: 0.9em;
}

#searchdiv {
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.searchcriteria {
  display: inline-block;
  padding-top: 10px;
  padding-right: 4px;
}

#tripnavtabs {
  display: flex;
  flex-direction: column;
  border: none;
  flex: 1 0 0;
}

#cart, #flightsearch, #tripsearch {
  margin: 0px 4px 0px 4px;
  flex: 1 1 0;
}


#profilesDiv {
  border: 2px solid black;
  padding: 6px;
  text-align: center;
  padding-right: 12px;
}

td.profile-add {
  background: url('../img/addtoprofile.png') no-repeat center center;
  cursor: pointer;
}

#reportAirportDiv {
  display: none;
}

#layoverairporttext {
  width: 45px;
  text-transform: uppercase;
}

#layoverrangediv {
  position: relative;
  display: inline-block;
  padding-top: 0;
  padding-right: 0;
  top: -12px;
  right: 2px;
}

#layoverrange {
  position: relative;
  top: -8px;
  width: 150px;
  margin: 10px 10px 0px 10px;
}

.disableddiv {
  pointer-events: none;
  opacity: 0.4;
}
